﻿using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.Pdf;
using System;
using System.Drawing;

namespace GenerateWord_2010
{
    public partial class GenerateWord : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        /// <summary>
        /// Creates PDF document
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {

            //Creates a new Word document

            WordDocument document = new WordDocument();

            //Adds the section into the Word document

            IWSection section = document.AddSection();

            string paraText = "AdventureWorks Cycles, the fictitious company on which the AdventureWorks sample databases are based, is a large, multinational manufacturing company.";

            //Add table in section.
            IWTable table = section.AddTable();
            //Add one row and one cell in table
            WTableCell cell = table.AddRow().AddCell();
            //Set cell width equal to page client widht, excluding margins.
            cell.Width = section.PageSetup.ClientWidth;
            //Clear the border to preserve as background color in output.
            cell.CellFormat.Borders.BorderType = BorderStyle.Cleared;
            //Set background color for table.
            table.TableFormat.BackColor = Color.LightBlue;
            
            //Add paragraph
            IWParagraph paragraph = cell.AddParagraph();

            //Appends the TOC field with LowerHeadingLevel and UpperHeadingLevel to determines the TOC entries
            TableOfContent toc = paragraph.AppendTOC(1, 3);
            
            //Adds the section into the Word document
            section = document.AddSection();

            for (int i = 1; i <= 100; i++)
            {
                //Adds the paragraph into the created section

                paragraph = section.AddParagraph();

                //Adds the text for the headings

                paragraph.AppendText("Chapter " + i);

                //Sets a built-in heading style.

                paragraph.ApplyStyle(BuiltinStyle.Heading1);

                //Adds the text into the paragraph

                section.AddParagraph().AppendText(paraText);
            }

            //Update table of contents in the document
            document.UpdateTableOfContents();

            DocToPDFConverter converter = new DocToPDFConverter();
            //Convert Word document to PDF.
            PdfDocument pdfDocument = converter.ConvertToPDF(document);
            //Releases the resources used by DocToPDFConverter and WordDocument 
            converter.Dispose();
            document.Close();
            //Saves the PDF 
            pdfDocument.Save("Sample.pdf", Response, HttpReadType.Open);
        }
    }
}